﻿#ColumnsContainer {
    height: 98%;
    width: 100%;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-start;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    border-color: lightgray;
}

#ExplorerContent {
    flex-grow: 1;
    display: inline-flex;
    flex-direction: column;
    height: 100%;
    justify-content: flex-start;
    align-items: flex-start;
    box-sizing: border-box;
}

#AddFolderContainer {
    width: 40%;
    height: 100%;
    box-sizing: border-box;
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    border-left-width: 1px;
    border-left-style: solid;
    border-left-color: lightgray;
    padding: 0.5vh;
}

#ContentInfoFullContainer {
    margin-left: 1vw;
}

#addTitle {
    margin-bottom: 0.5vh;
}

#inputContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
}

#cotesInput {
    width: 95%;
    box-sizing: border-box;
    font-size: 2vh;
    margin-bottom: 1vh;
}

#opacLinkImage {
    height: 2.5vh;
    opacity: 0.2;
}

#opacLink[href^='http:'] #opacLinkImage {
    opacity: 1 !important;
}

.docLabel {
    margin-top: 0.2vh;
    margin-bottom: 0.2vh;
}

#docTitre, #docAuteurs, #docSupport, #docChemin {
    width: 100%;
    display: inline-block;
    box-sizing: border-box;
    font-size: 1.8vh;
    margin-bottom: 1vh;
    font-weight: bold;
    text-align: justify;
}

#docChemin {
    text-decoration: underline;
    cursor: pointer;
}

.tabContentsContainer {
    height: 60vh;
}

.ReprosInfoForm {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    border-style: solid;
    border-width: 1px;
    border-color: lightgray;
    border-radius: 1vh;
    padding: 0.5vh;
    margin-bottom: 1vh;
}

.ReprosInfoFormSaved input, .ReprosInfoFormSaved select, .ReprosInfoFormSaved textarea {
    background-color: transparent;
    border-style: solid;
    border-color: black;
    border-width: 1px;
}

.ReprosInfoFormLeft {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    flex-grow: 1;
    box-sizing: border-box;
}

.FileExplorerContent {
    background-color: white;
}

.ReprosInfoFormRight {
    display: inline-flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    padding-left: 0.5vh;
    height: 12vh;
    box-sizing: border-box;
}

    .ReprosInfoFormRight img {
        width: 1.5vw;
        border-style: solid;
        border-color: lightgray;
        border-width: 1px;
        padding: 0.3vh;
        cursor: pointer;
    }

        .ReprosInfoFormRight img:hover {
            border-color: black;
        }

.ReprosInfoFormLine {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    box-sizing: border-box;
    margin-bottom: 0.5vh;
}

    .ReprosInfoFormLine:last-of-type {
        margin-bottom: 0;
    }

.ReprosInfoFormLineGroup {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    flex-grow: 1;
}

    .ReprosInfoFormLineGroup span {
        margin-right: 0.5vw;
        font-size: 1.5vh;
    }

#WebFilesTable img {
    cursor: pointer;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    padding: 0.2vh;
    vertical-align: bottom;
}

    #WebFilesTable img:hover {
        border-color: black;
    }

#WebFilesTable td:nth-of-type(2) {
    text-align: center;
}

    #WebFilesTable td:nth-of-type(2) img {
        height: 5vh;
    }

#WebFilesTable td:nth-of-type(3) {
    padding-left: 1vw;
}

#WebFilesTable td:nth-of-type(4) {
    width: 5vw;
    text-align: right;
}

#WebFilesTable td:nth-of-type(5) {
    width: 2vw;
    text-align: right;
}

    #WebFilesTable td:nth-of-type(5) img {
        height: 1.8vh;
    }

.CoteR, .Notes, .Dimensions, .CotesReproduites {
    flex-grow: 1;
}

.Nombre {
    width: 1vw;
}

.CampagneTRHidden {
    display: none;
}

.CampagneTDRang {
    text-align: right;
}

.CampagnetdInfos {
    cursor: pointer;
    text-decoration: underline;
}

.Campagnetdimg img {
    height: 2vh;
}

#CampExpExcelImg, #PortraitsExpExcelImg {
    height: 3vh;
    box-sizing: border-box;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    padding: 0.2vh;
    cursor: pointer;
}

    #CampExpExcelImg:hover, #PortraitsExpExcelImg:hover {
        border-color: black;
    }

#allFoldersCB {
    margin-bottom: 1vh;
}

#folderButtons {
    width: 100%;
    margin-top: 2vh;
    display: inline-flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

    #folderButtons input {
        padding: 1vh;
        background-color: white;
    }

        #folderButtons input:hover {
            background-color: aliceblue;
        }

#ButtonCreateFolder {
    font-size: 2vh;
}

.CheminExistsClass {
    color: blue !important;
}

.CheminNotExistsClass {
    color: red !important;
}

#verifCount, #CheminExistsCount, #CheminNotExistsCount {
    width: 2.5vw;
    text-align: right;
}

#UploadMainTitle {
    display: inline-block;
    width: 100%;
    font-size: 2vh;
    margin-bottom: 1vh;
}

#UploadFilesContainer, #ReprosContainer, #CampagnesContainer, #CampagneListContainer, #AVPContainer {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
}

#CampagnesContainer, #AVPContainer {
    height: 100%;
}

#AVPIFramesContainer {
    width: 100%;
}

#CampagneListContainer, #AVPIFramesContainer {
    margin-top: 2vh;
}

#UploadFilesContainer, #ReprosContainer, #CampagneListContainer, #AVPIFramesContainer, #PortraitsListContainer {
    overflow: auto;
}

#PortraitsContainer {
    display: inline-flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
}

.UploadingFileContainer {
    width: 100%;
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    margin-bottom: 0.5vh;
}

.HiddenForNonAdmin .tabForAdminOnly, .HiddenForNonAdmin .tabForDropBoxAdminOnly {
    display: none !important;
}

.HiddenForNonDropBoxAdmin .tabForDropBoxAdminOnly {
    display: none !important;
}

.HiddenForNonDropBoxAdmin .WebFilesDeleteImg, .HiddenForNonDropBoxAdmin .AVPPlayerDeleteButton {
    display: none !important;
}

#OCRFirstLineDiv {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 0.2vh;
    width: 100%;
}

#OCRProgress {
    flex-grow: 1;
    margin-left: 1vh;
    margin-right: 1vh;
}

#copyOCRImg {
    height: 3vh;
    opacity: 0.5;
    cursor: pointer;
}

    #copyOCRImg:hover {
        opacity: 1;
    }

#OCRTextArea {
    width: 100%;
    box-sizing: border-box;
}

.UploadingFileName {
    font-size: 1.5vh;
    width: 100%;
    display: inline-block;
    margin-bottom: 0.2vh;
}

.UploadingFileProgressBarsContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

    .UploadingFileProgressBarsContainer progress {
        width: 48%;
        height: 0.5vh;
    }

#RenameForm {
    display: inline-flex;
    flex-direction: column;
    align-items: flex-start;
    border-style: groove;
    border-color: grey;
    border-width: 1px;
    border-radius: 0.5vh;
    box-sizing: border-box;
    background-color: lightgray;
    box-sizing: border-box;
}

#RenameFormTitle {
    display: inline-block;
    width: 100%;
    padding: 1vh;
    border-bottom-style: solid;
    border-bottom-color: grey;
    border-bottom-width: 1px;
    box-sizing: border-box;
}

#RenameFormContent {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 1vh;
    border-bottom-style: solid;
    border-bottom-color: grey;
    border-bottom-width: 1px;
    box-sizing: border-box;
}

#RenameFormChangeInput {
    margin-left: 6vh;
    margin-right: 2vh;
}

#RenameFormChangeInput, #RenameFormReplaceInput, #RenameFormTypesSelect, #RenameFormAddPlaceSelect {
    width: 20vh;
}

.RenameFormComplementModeAdd #RenameFormReplaceInput,
.RenameFormComplementModeReplace #RenameFormAddPlaceSelect {
    display: none;
}

#RenameFormPreposition {
    margin-right: 2vh;
}

.RenameFormComplementModeAdd #RenameFormPreposition {
    visibility: hidden;
}

#RenameFormBottom {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    padding: 1vh;
    box-sizing: border-box;
}

#RenameFormButtons {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

    #RenameFormButtons input {
        margin-left: 2vh;
        font-size: 2vh;
        padding: 0.5vh;
    }

#AVPAddContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
}

#avpcode {
    width: 15vw;
    margin-left: 1vw;
    margin-right: 1vw;
}

#AVPAddContainer img {
    height: 1.8vh;
    cursor: pointer;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    padding: 0.2vh;
}

    #AVPAddContainer img:hover {
        border-color: lightgray;
    }

.AVPPlayer {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
    border-top-style: solid;
    border-top-width: 1px;
    border-top-color: lightgray;
    border-bottom-style: solid;
    border-bottom-width: 1px;
    border-bottom-color: lightgray;
    padding-top: 1vh;
    padding-bottom: 0.5vh;
    margin-bottom: 1vh;
}

    .AVPPlayer iframe {
        width: 100%;
        box-sizing: border-box;
    }

.AVPPlayerInfosContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    margin-top: 0.5vh;
    width: 100%;
}

    .AVPPlayerInfosContainer img {
        height: 2.2vh;
        cursor: pointer;
        border-style: solid;
        border-color: transparent;
        border-width: 1px;
        padding: 0.2vh;
    }

        .AVPPlayerInfosContainer img:hover {
            border-color: lightgray;
        }

#ArchivageContainer {
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
}

#ArchivageSelectLineSpan {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
}

#ArchivageFichierSelect {
    width: 50vh;
    margin-top: 1vh;
    margin-bottom: 1vh;
}

#ArchivageRefreshImg {
    height: 2vh;
    margin-left: 1vh;
    opacity: 0.5;
    cursor: pointer;
}

    #ArchivageRefreshImg:hover {
        opacity: 1;
    }

#ArchivageDoButton {
    font-size: 2vh;
    padding: 1vh;
}

#PortraitsTools {
    display: inline-flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    box-sizing: border-box;
    width: 100%;
}

#PortraitsAddForm {
    flex-shrink: 0;
    width: 80%;
    box-sizing: border-box;
    display: inline-flex;
    flex-direction: column;
    justify-content: flex-start;
    margin-bottom: 1vh;
}

.PortraitsAddFormLine {
    width: 100%;
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    box-sizing: border-box;
    margin-bottom: 0.5vh;
}

#PortraitAddLastName, #PortraitAddFirstName, #PortraitAddUrl {
    flex-grow: 1;
    margin-right: 1vh;
}

#PortraitAddLastName, #PortraitAddFirstName {
    margin-left: 1vh;
}

#PortraitsListContainer {
    flex-grow: 1;
    width: 100%;
}

.PortraitLineContainer {
    display: inline-flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
    box-sizing: border-box;
    margin-bottom: 0.5vh;
    width: 100%;
}

.PortraitImgContainer {
    width: 6vw;
    display: inline-block;
    text-align: center;
}

.PortraitImg {
    height: 5vh;
    margin-left: 2vh;
    cursor: pointer;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    padding: 0.2vh;
}

    .PortraitImg:hover {
        border-color: black;
    }

.PortraitDelete {
    margin-left: 2vh;
    border-style: solid;
    border-color: transparent;
    border-width: 1px;
    height: 2vh;
    padding: 0.2vh;
    cursor: pointer;
}

    .PortraitDelete:hover {
        border-color: black;
    }

@media screen and (max-width:640px) {
    #AddFolderContainer {
        display: none;
    }
}
